package com.yuanzhao.jdbc.test;

import java.sql.Connection;
import java.sql.Date;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class TestJDBCQuery1 {
	public static void main(String[] args) throws ClassNotFoundException, SQLException {
		//Class.forName("com.mysql.cj.jdbc.Driver");
		
		String url = "jdbc:mysql://localhost:3306/test?autoReconnect=true&useSSL=false";
		String user = "root";
		String password = "";
		
		Connection connection = DriverManager.getConnection(url, user, password);

		String sql = "SELECT * FROM test";
		
		Statement statement = connection.createStatement();
		
		ResultSet resultSet = statement.executeQuery(sql);
		
		while(resultSet.next()) {
			int empno = resultSet.getInt(1);
			String ename = resultSet.getString("ename");
			Date hiredate = resultSet.getDate(3);
			
			System.out.println(empno + "\t" + ename + "\t" + hiredate.toLocaleString());
		}
		
		resultSet.close();
		statement.close();
		connection.close();
	}
}
